## visad.ss
Class SSCellChangeEvent

    java.lang.Object
      visad.ss.SSCellChangeEvent

public class SSCellChangeEvent
extends Object

Event class for SSCell changes.

Field Summary
`static int` `DATA_CHANGE` Indicates that the cell's data has changed.
`static int` `DIMENSION_CHANGE` Indicates that the cell's dimension has changed.
`static int` `DISPLAY_CHANGE` Indicates that the cell's display has changed.

Constructor Summary
`SSCellChangeEvent(BasicSSCell ssCell, int changeType)` Constructs an SSCellChangeEvent.
`SSCellChangeEvent(BasicSSCell ssCell, int changeType, String varName)`

Method Summary
`int` `getChangeType()` Gets the type of change that occurred.
`BasicSSCell` `getSSCell()` Gets the cell that changed.
`String` `getVariableName()` Gets the variable name for the data that has changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_CHANGE

    public static int DATA_CHANGE

  Indicates that the cell's data has changed.

### DISPLAY_CHANGE

    public static int DISPLAY_CHANGE

  Indicates that the cell's display has changed.

### DIMENSION_CHANGE

    public static int DIMENSION_CHANGE

  Indicates that the cell's dimension has changed.

Constructor Detail

### SSCellChangeEvent

    public SSCellChangeEvent(BasicSSCell ssCell,
                             int changeType)

  Constructs an SSCellChangeEvent.

### SSCellChangeEvent

    public SSCellChangeEvent(BasicSSCell ssCell,
                             int changeType,
                             String varName)

Method Detail

### getSSCell

    public BasicSSCell getSSCell()

  Gets the cell that changed.

### getChangeType

    public int getChangeType()

  Gets the type of change that occurred.

### getVariableName

    public String getVariableName()

  Gets the variable name for the data that has changed.